#!/usr/local/bin/python3

# Set dome light off using DLI Powerswitch
#
# Copyright 2018 John Kielkopf
#
#
# Assumes DLI controller with these connections --
#
#   1  Computer
#   2  Video server
#   3  Telescope controller
#   4  Apogee camera
#   5  Telescope auxilliary
#   6  Dome switch
#   7  Dome light
#   8  Dome charger
#

# Import the DLI module

import dlipower

# Switch settings for sirius.astro.louisville.edu

SWITCHIP="136.165.99.84"
USER=""
PASSWORD=""

# Open (connect) to the power switch. 
# Defaults to IP, user, password factory setting.

switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print("Cannot talk to the switch")
  sys.exit(1)

# Power dome light switch  on
switch.off(7)

exit()
