#!/usr/local/bin/python3

# Open the upper dome shutter
#
# Copyright 2018 John Kielkopf
#
#
# Assumes DLI controller with these connections --
#
#   1  Rotate On/Off
#   2  Azimuth Incr/Decr
#   3  
#   4
#   5  Upper On/Off
#   6  Upper Open/Closed
#   7  Lower On/Off
#   8  Lower Open/Closed

import sys, time
import dlipower

# Switch settings for the DLI dome control switch 

SWITCHIP="192.168.1.249"
USER=""
PASSWORD=""

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print("Cannot talk to the switch")
  sys.exit(1)

# Power upper shutter open on
switch.on(6)
time.sleep(0.25)
switch.on(5)

# Wait for the shutter to open
time.sleep(60)

# Power upper shutter open off
switch.off(5)
switch.off(6)

# Update status 

upperstatus = open('/usr/local/observatory/status/domeupper','w')
upperstatus.write("open")
upperstatus.close()

exit()


