#!/usr/bin/python3

# Stop all dome motion
#
# Copyright 2018 John Kielkopf
#
#
# Assumes DLI controller these connections --
#
#   1  Computer
#   2  Video server
#   3  Telescope controller
#   4  Apogee camera
#   5  Telescope auxilliary
#   6  Dome switch
#   7  Dome light
#   8  Dome charger
# 
# Based on software from Dwight Hubbard d@dhub.me
#   provided as an example on the DLI website           

# CDK20N Sirius dome scans about 6 (24 degrees) tags in 10 seconds

import sys
import time
import math

if len(sys.argv) != 1:
  sys.exit("No argument required")

# The dli module needs to be in the python path.  
# Add current directory to the path so we can find the dli module
sys.path.append('.')

# Import the DLI module -- must be in the same directory as this py file
import dlipower

# Switch settings for the DLI device

SWITCHIP="136.165.99.84"
USER=""
PASSWORD=""

# Open (connect) to the power switch, if the
# parameters are not passed it defaults to the
# IP address, user and password the switch is 
# set with from the factory.  Only changed items
# actually need to be passed.
switch=dlipower.PowerSwitch(hostname=SWITCHIP,userid=USER,password=PASSWORD)

# Verify the switch
if not switch.verify():
  print "Cannot talk to the switch"
  sys.exit(1)

# Print the current state of all the outlets
#switch.printstatus()

# Power light off
switch.off(7)
  
# Print the switch states
print ('Light is  ',switch.status(7))
